Subject: Offline Message from Ibrahim K: This is my order number 1964834616, I paid al
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sat, 13 Jun 2020 13:11:06 -0000

From: Ibrahim K <[email-masked]>
Phone: 
Location: , Saudi Arabia
URL: https://saudi.mumzworld.com/sa-ar/mumzypointsrefer/referral
Department: 

This is my order number 1964834616, I paid already 100SR for the shipping 😡, why now DHL Express ask me additional payment? I'll not pay any thing 😡, and delay it your responsible 😡 and I'll not forgive you for that problem you made for my shipment 😡. 

----
Zopim
https://www.zopim.com